---
title: Rèsumè
author: mattcen
type: page
url: /resume
aliases:
  - /cv
date: 2020-06-11T05:51:28+00:00
toc: true

---

[Download Resume PDF](/resume.pdf)

# Matthew Cengia

# Contact Details

|     |     |
| --- | --- |
| Email: | mattcen AT mattcen DOT com |
| Location: | Melbourne, Australia |
| Other: | @mattcen ([LinkedIn](https://linkedin.com/in/mattcen)/[GitHub](https://github.com/mattcen)/[Mastodon](https://aus.social/@mattcen)) |
| Pronouns: | They/Them/Theirs |

# Personal Profile

I'm an enthusiastic, neurodivergent polymath with a Computer Science degree and extensive sysadmin and communication skills. I crave variety, am passionate about social justice, and enjoy volunteering, teaching, and improving systems and processes.

# Professional Skills

  * Linux systems administration
  * Web development
  * Information security
  * Project management
  * Software release management
  * Event planning
  * Public speaking
  * Community management
  * Youth work
  * Facilitation and moderation
  * Diversity/Inclusion awareness

# Career Summary

## Senior Systems Engineer {#senior-systems-engineer2}

[Cyber IT Solutions](http://www.cyber.com.au)

Aug 2022 --- Present

  * See below (2008-2016)

## Travel and freelance work

Jun 2019 --- Aug 2022

  * Took some time off during the pandemic lockdowns
  * Did various freelance work, mostly website dev
  * Professional development, learning Django and Docker, and using them for personal and community projects

## Product Owner and Scrum Master

[Link Digital](https://linkdigital.com.au)

Jan 2018 --- Jun 2019

  * Manage [CKAN](https://ckan.org) and [Drupal](https://drupal.org) websites for government agencies and companies
  * Deploy initial system installation and regular security and feature upgrades to customer servers
  * Gather requirements from clients and organise them into sprints for a team of developers
  * Improve company culture to adapt to remote work environment by running team-building and social activities, and developing new communication guidelines

## Support Engineer

[Fastmail](https://www.fastmail.com)

Feb 2017 --- Oct 2017

  * Document company server infrastructure during on-boarding to assist in future employee on-boarding
  * Triage third-level customer support issues, solving what I could and working with system engineers for everything else
  * Debug issues with CalDAV, CardDAV, IMAP, SMTP, POP3, web UI, and other systems

## Teacher

[Invent The World](https://www.inventtheworld.com.au)

Jul 2016

  * Run school holiday programme for children (5+ years)
  * Teach online empathy, creative problem solving, team work, keyboard and mouse motor skills, physics, programming and other skills using computer games like [Minecraft](http://minecraft.net/), [Kerbal Space Program](https://kerbalspaceprogram.com/en/), and [Factorio](https://www.factorio.com)

## Senior Systems Engineer {#senior-systems-engineer}

[Cyber IT Solutions](http://www.cyber.com.au)

Jul 2008 --- Feb 2016

  * Build computer systems (both hardware and software) for various customers
  * Develop, maintain, and release-manage [PrisonPC](http://prisonpc.com)
  * Design security measures for systems used by prison inmates
  * Configure and manage servers for email, web hosting, file and print sharing, backup solutions, IPTV, and network-booted Linux desktops

## Tutor

[RMIT University Melbourne](http://www.rmit.edu.au)

Jul 2009 --- Oct 2009

  * Teach [Web Programming](https://web.archive.org/web/20190923142733/http://www1.rmit.edu.au/courses/039990) students basic HTML, CSS, JavaScript, and PHP

# Volunteer Summary

## Scout leader

[Scouts Victoria](http://vicscouts.com.au)

Jul 2008 --- Present

  * Programme and run weeknight events for Scouts 11-15 years old
  * Organise and run weekend camps for up to 100 people
  * Lead 40 scouts at 10-day long Australian Scout Jamborees
  * Facilitate and co-ordinate scout discussions at the 2014 and 2015 State Youth Forum to shape the future of Scouts Victoria, managing a team of other leaders in the process
  * Train other scout leaders
  * Develop topographic maps for hiking

## Inclusion and Welcoming Coordinator

[PyCon Australia](https://2023.pycon.org.au/)

Nov 2022 --- Aug 2023

Ensure the PyConAU 2023 conference is as accessible and welcoming as possible:

* Childcare
* Step-free accessibility
* Welcome to Country
* Strong code of conduct

## Deputy Chair

[GovHack Australia](https://govhack.org)

Apr 2018 --- Jun 2020

  * Develop a more diverse and inclusive GovHack logo
  * Develop the MC script and manage AV for Red Carpet Awards evening
  * Set direction for future of GovHack, maintaining focus on open data, innovation, and improving event accessibility
  * Liaise with government and other sponsors to develop hackathon challenges

## Facilitator and moderator

[PolyVic](https://www.facebook.com/groups/66151944865/)

Aug 2016 --- Jul 2020

  * Organise and run in-person discussion groups on polyamory, consensual non-monogamy, and communication
  * Moderate discussions on Facebook groups and manage arising conflicts
  * Develop group guidelines and codes of conduct
  * Train up new facilitators for our team

## Melbourne site team lead

[GovHack Australia](https://govhack.org)

Mar 2016 --- Nov 2019

  * Run weekend-long events for over 100 participants
  * Organise venue hire, catering, budgeting, and sponsorship
  * Liaise with local, state, and national teams and governments
  * Manage a team of volunteers
  * Make event accessible to participants of diverse backgrounds and abilities

## Mapping Coordinator

Confest Festival

Apr 2017 --- Apr 2023

  * Liaise with organisers to determine locations for on-site activities and campsites
  * Collect geospatial data with GPS
  * Design printable topographic maps for participants and emergency services

## Mentor

[CSIRO STEM Professionals in Schools](https://www.csiro.au/en/Education/Programs/STEM-Professionals-in-Schools)

Aug 2014 --- Dec 2014

  * Develop classroom programmes to teach ICT to students
  * Introduce programming tools such as Raspberry Pi and MIT Scratch
  * Run classes for students to teach the above

## Ambassador/Board member

[Open Knowledge Australia](http://au.okfn.org)

Oct 2014 --- Aug 2017

  * Organise and run weekly tech-related meet-ups, including venue hire, catering, and advertising
  * Teach and find other speakers to present on openness as it applies to software, hardware, data, science, research, maps, government, and communities
  * Run GovHack and HealthHack hackathons
  * Organise and run two full-day Open Knowledge Australia mini-conferences at [Linux.conf.au](https://linux.conf.au) in 2016 and 2017

# Education and Training

## Certificate IV, Frontline management

[Scouts Australia Institute of Training](http://scouts.com.au/members/sait/)

2015

## Bachelor of Computer Science

[RMIT](https://www.rmit.edu.au)

2008 --- 2010

# Publications

[Publications](/publications)

# Technology Proficiencies

## Languages

  * Bash
  * C
  * CSS
  * HTML
  * Java
  * JavaScript
  * PHP
  * Perl
  * Python

## Software & Tools

  * AWS EC2/RDS
  * Ansible
  * Apache
  * MySQL
  * OpenLDAP
  * Postfix
  * Postgres
  * Samba
  * Docker
  * Docker Compose
  * Django
  * QGIS

# References available upon request
