---
title: Communicating and living authentically
author: mattcen
date: 2016-09-18T11:24:49+00:00
url: /2016/09/18/communicating-and-living-authentically/
publicize_twitter_user:
  - mattcen
categories:
  - communication
  - polyamory
aliases:
  - /communicating-and-living-authentically

---
_NB: This post is dealing primarily with communicating feelings and emotions with partners/friends etc., rather than communicating/teaching  objective information._

I have difficulties with communication. It's true of all of us, I think. We sometimes can't adequately find the language to articulate our thoughts, or, worse, we're afraid to do so, because we don't want to admit how we feel (either to ourselves, because it's too painful to think about, or to others, because we're not sure how they'll react or respond).

> Communication tends to be most difficult precisely when it's most important. […]  
> "If you're afraid to say it, that means you need to say it."
>
> –Franklin Veaux and Eve Rickert, More Than Two, quoting Marcia Baczynksi

The above is a mantra that I attempt to adhere to, but it's hard. I think it gets less hard, slowly, with practice, but I am not sure if it ever becomes easy. There is, however, often an amazing sense of relief, a weight lifted from your shoulders, after saying something you've been afraid to say, regardless of the outcome. Yet, despite knowing, objectively, that it's better for somebody to accept or reject you for being authentic, than for them to accept an inauthentic representation of yourself, fear of rejection is still a hard hurdle to overcome.


{{< figure src="/wp-content/uploads/2016/09/mcfly-rejection.jpg" alt="George McFly (Back to the Future) looking horrified. Text: \"I just can't take that kind of rejection\"" title="Pictured: George McFly (Back to the Future) looking horrified. Text: \"I just can't take that kind of rejection\"" >}}

A big part of my struggle is communicating my wants and needs, and acknowledging that I am _entitled_ to have wants and needs, and that I have a right to _ask_ others for these, just as they have a right to set boundaries around what they are and aren't prepared to offer. These wants and needs could be from anything as simple as "I need hugs", to slightly more complicated requests like "I want to see you more often", or "I would like you to occasionally be available to listen to me vent/rant/mope."

These may seem straightforward, but I _really_ hate the thought that I'm a burden on others, even though if I received such a request myself, I'd usually be happy to oblige, or respectfully say that I didn't feel capable of meeting that need right now, and maybe negotiate something else, all despite the fact that I tend to keep pretty busy. I make time for those I care about, and it shouldn't feel greedy or selfish to expect others to do the same for me, but it sometimes does.

This post, and indeed, this blog, is an attempt on my part to live more authentically, by sharing my thoughts, explaining who I am, and how I feel, without necessarily expecting anybody to read or do anything about it. So if you're reading this, thanks for taking the time. I welcome constructive feedback, but reserve the right to ignore it.

Anyway, basically, brains are weird, and feels are hard.
