---
title: The risk and reward of difficult conversations with friends
author: mattcen
date: 2017-12-27T00:46:19+00:00
url: /2017/12/27/the-risk-and-reward-of-difficult-conversations-with-friends/
publicize_twitter_user:
  - mattcen
  - mattcen
  - mattcen
categories:
  - communication
  - polyamory

---
_tl;dr at the end._

Sometimes, when I express a mindset that I've adopted, people are intrigued by it and find it a useful way of framing certain thoughts. When that happens enough times, I figure it's time to document the mindset for wider dissemination; this is one of those.

A while ago, I was considering my relationship with a close friend. I realised I was interested in exploring a non-platonic (romantic, intimate, or sexual) relationship with them. I wasn't hung up on this idea; I basically wanted to float it and see what they thought, and I was happy to leave things as they were if the other person wasn't interested.

I hear stories sometimes of people who have tried to suggest changes (some may call them "escalations", though I don't like that mindset) like this to a relationship, and are concerned that just the mere suggestion of these changes could destroy the relationship. What if the friend doesn't think of you the same after you suggest, say, that you're interested in them romantically? What if this knowledge means they're not comfortable continuing your existing platonic relationship, because they might think they're teasing teasing you by staying around but denying you the relationship change you suggested, because your feelings are unrequited? What if they are offended or insulted by your suggestion, for some reason? Perhaps you suggest a sexual relationship and they think you're just desperate for sex and trying to use them to get it?

Here's the big question: do you _really_ want to continue a relationship (be it friendship or otherwise) with somebody who would react like this to a calmly raised suggestion, when you have stated that it is a suggestion and nothing more, and that you're happy with things as they are? If you can't be completely honest with this person and have them be anything other than grateful for your honesty and vulnerability, what's the point? Wouldn't you rather know that's the case than brush it under the carpet and never find out because you didn't make the suggestion?

So here I am, a while ago, wrestling with these thoughts about a friend: I am interested in exploring romance, intimacy, or sex with them, but I don't want this admission to be reacted to negatively and damage our existing friendship. I thought it through, and I came out with three distinct possible outcomes:

  1. My friend will be keen to explore these other things with me and we see where it goes.
  2. My friend will respectfully tell me that they're happy with our relationship as it is, and be grateful for my vulnerability in making this suggestion.
  3. My friend will struggle to digest this new information, and, despite clear and empathetic discussions about it and my assertions that it's fine if they want to keep things as they are, will think that my unrequited feelings are something they can't deal with (maybe because they think it'd be unkind to "tempt" me by sticking around), and elect to end our friendship. If this happens, it would be a really unfortunately loss of a great long-term friendship, but I'd also be pleased to know that we were both out authentic selves and I didn't hide my feelings out of fear.

I realised that all three of these outcomes are acceptable to me. If (3) occurs, that's a shame, but that's life, and the fact is that I've known this person for years, so the likelihood of this outcome is very small. If we hadn't been friends for long, and I made this suggestion, then (a) there's less at stake; I have invested less in the relationship, and (b), I _still_ would be grateful to learn that the friend would react this way sooner rather than later, and we can either work through that now, or go our separate ways.

I set out and wrote a big lengthy message, discussing my thought process and dancing around the message's point. I wanted to do this in text because I can better and more articulately express my thoughts without feeling rushed, and once the message is sent, I can convince myself that there is nothing I can do until they respond, so there's no point in dwelling on it or fretting. Hope for the best, express for the worst, but don't waste your energy stressing about it. The message exceeded 400 words, but, halfway down, I asked, basically, if this person was interested in going on a date with me.

Then I waited patiently for a response. I'll do you the courtesy that my friend did for me, which was to get unambiguously to the point early in the message so as not to keep me in suspense: they were happy with our relationship as it was, and weren't interested in anything romantic. They also expressed that they appreciated my honesty.

And that was that. We're still great friends; perhaps better, because I know I can feel safe having these hard conversations, and assume they'll react empathetically and within my best interests.

So seriously, if you have you have high stakes conversation you want to have with a friend, just do it! The worst that can happen is they'll show their true colours and not react well to the conversation, in which case that is valuable information that you have learned about each other; perhaps they could do with some research on communications, or, depending on the severity of their response, some therapy; there's no shame in that.

Take the plunge!

_tl;dr: If you're worried about having a hard but respectful conversation with a friend because you're concerned it'll jeopardise/end the friendship, ask yourself if you really want to be friends with somebody who won't give you the benefit of the doubt and respond compassionately and empathetically regardless of the outcome? What have you got to lose?_
