---
title: How did I get here?
author: mattcen
date: 2018-05-21T00:19:53+00:00
#url: /2018/05/21/how-did-i-get-here/
timeline_notification:
  - 1526861998
publicize_twitter_user:
  - mattcen
publicize_tumblr_url:
  - http://.tumblr.com/post/174096879204
categories:
  - bisexuality
  - communication
  - lgbt
  - polyamory
  - queer
  - sex

---
_Over the last few of years, I've undergone a lot of changes, and taken some pretty huge steps in personal development. This post is an attempt to tell the story of how this all unfolded. Some of the details are a little fuzzy, but the general narrative is sufficient._

**Content note: Non-specific discussions about sex and BDSM; more detailed discussions of polyamory/non-monogamy, and bisexuality. Fairly specific mention of my realisation of bisexual/polyamorous/kinky identity and coming out. A pretty deep dive into my brain.**

## Backstory

As of the start of 2014, I had led what I deemed a pretty ordinary, uninteresting (not to say unfulfilled!) life. I'd gone through primary school and secondary school without many noteworthy blips, except perhaps for the one that helped me realise the self-destructive nature of secrets, and the freedom of honesty, even when it means admitting you messed up.

Being involved with [Scouts](https://scoutsvictoria.com.au) since I was 8 taught me a lot of life skills, including teamwork, leadership, independence, event planning, and a slew of other awesome stuff. I took a break from Scouts when I turned 18.

I spent 2 years studying an Advanced Diploma of Computer Science at RMIT TAFE, and then in 2008 I articulated into RMIT's Bachelor of Computer Science. That same year, I began my first ever job, lasting 7 years, and I re-joined the Scouts as a leader to get me away from my computer screen.

And for 6 years, this was basically how things stayed. I finished my degree, and my life was basically work, scouts, hanging out with a small handful of friends, and having my introvert down-time at home on the computer etc.

An exception to this was that in 2012 I started attending [Linux.conf.au](https://linux.conf.au), an annual conference on Open Source software. This was where I started making a few friends in the IT space, but I didn't generally see many of them outside of conferences, because they were from all over the world.

## Catalyst

And that brings us to January 23, 2014, and a tweet from a Linux.conf.au contact:

> Just on my way to [@OKFNau](https://twitter.com/OKFNau) drinks hoping to catch up with [@kattekrab](https://twitter.com/kattekrab) and [@bendechrai](https://twitter.com/bendechrai) #opensource
>
> --- Kathy Reid (@KathyReid) [January 23, 2014](https://twitter.com/KathyReid/status/426232301555425280)

Not having heard of @OKFNau before, I did some digging: {{< tweet user="OKFNau" id="425430171101839360" >}}

This sounded right up my alley, so I went. Being shy and introverted around new people, I was relieved when a very energetic human intercepted me on entry and made me feel welcome, introducing me to many awesome people.

I had a ball, and kept attending Open Knowledge events.
Now: I overcommit and volunteer far too much. For this, I blame my Scout leader; a fantastic person and role model with a penchant for doing too much, and whose commitment I aspired match until I realised not all adults are involved with 3 or more organisations outside their full-time job, and that's OK!
It was only 6 months before I was co-running Open Knowledge events.

## Realisation

I'd hitherto not made time or space in my life for romantic, intimate, sexual, or otherwise non-platonic connections. I had not desperately needed or craved those types of connections. Sure, I'd been attracted to women before, but never enough to warrant overcoming the stress and anxiety of "making a move."

I think Open Knowledge was the first time that I regularly interacted with people around my age, with similar values and interests. I realised I really enjoyed that sort of connection, and thought I was finally ready to also explore different, non-platonic connections.

I wasn't necessarily attracted to anyone from Open Knowledge, and in any case the idea of saying as much terrified me. So I turned to online dating. "There's no stigma against this any more," I reasoned. After some research, I created an OkCupid account.

OkCupid asked me questions that I'd never considered before:

>   * What is your sexual orientation? (Straight/Gay/Bisexual)
>   * What is your monogamy preferences? (Monogamous/Non-monogamous)

I'd assumed I was straight, because I was interested in women and femme-presenting folks, and bisexuality hadn't occurred to me; nor had non-monogamy.

Brief consideration revealed that I had the capacity to be attracted to men and masc-presenting folks too. In the past I'd recognised that some men were attractive, but only in a general and objective sense, as opposed to a personal attraction to someone. I also did a little research and decided that just _assuming_ that monogamy is the right choice for everybody is a ridiculous idea. Society tells us monogamy is the norm, but it makes sense to question this, and make an informed decision either for or against monogamy; I chose the latter.

Selecting "bisexual" and "non-monogamous," I completed my sign-up, and started chatting to people.

## Exploration

Before long I had a couple of dates lined up, with a man and a woman. I mentioned earlier about how high school strengthened my aversion to secrets. As a result of this, I decided to come out as "possibly bisexual" to my parents. I lived with them, but was financially independent, and didn't _really_ think they'd have a problem with this information, let alone a big enough objection that they'd do something as drastic as kick me out, like I'd heard other parents of queer people do.

>   Hey Mum. I've started online dating. Why? Because I want to meet people and am bad at doing it in person! Anyway, I've got a couple of dates lined up. One is with a woman, and… one is with a guy.

Their general response was along the lines of: "Oh. … OK." which was pretty great as far as I was concerned. They've been really supportive!

Back to that energetic person I met that first night at Open Knowledge. At some point, I'd heard them mention polyamory (a term I'd encountered in my non-monogamy research), so I told them I was exploring this idea, and they gave me heaps of references, including [Archer Magazine](https://archermagazine.com.au), [The Ethical Slut](https://www.amazon.com/Ethical-Slut-Practical-Relationships-Adventures/dp/1587613379), [Opening Up](https://www.amazon.com/Opening-Up-Creating-Sustaining-Relationships/dp/157344295X), and Polyamory Victoria ([PolyVic](https://www.facebook.com/groups/66151944865/)) – a group which runs regular meetups to discuss Polyamory. I did lots of reading, and joined the PolyVic community, eventually going on to co-run that as well.

In addition to the above polyamory/non-monogamy books, I eventually read [More Than Two](https://www.amazon.com/More-Than-Two-Practical-Polyamory/dp/0991399706/) (that's the book; also see [their website][1], but also see [this article as a caveat][2]), and 3 books on communication: [Nonviolent Communication](https://www.amazon.com.au/Nonviolent-Communication-Language-Life-Changing-Relationships-ebook/dp/B014OISVU4), [Crucial Conversations](https://www.amazon.com/Crucial-Conversations-Tools-Talking-Stakes/dp/0071401946), and [Never Split the Difference](https://www.amazon.com/Never-Split-Difference-Negotiating-Depended/dp/0062407805).

Even if polyamory wasn't for me, I knew the communication and introspection skills I'd learn from considering it would be universally valuable, so I had no qualms about giving it a shot, with great success!

In the midst of all this, I had had relationships of varying durations and [types][3] with people of different genders, starting to explore sex, intimacy, and romance. I also started to explore parts of the BDSM scene, which, despite not spending much time in, I definitely have an interest in, and I've enjoyed the experimentation I've done in that space thus far. I've also started clubbing and exploring events and venues associated with the "gay scene," which has been a little daunting, but also fun.

## Conclusion

I don't currently want to go into too many details of my sex life on a public post, but suffice to say, that from 2014 to 2017, I had crammed in a lot of theoretical and practical experience around communication, introspection, non-platonic relationships, non-monogamy, the queer community, sex, kink and the alternative/hippy community (in the form of alternative lifestyle festivals).

I keep an open mind, and am regularly inquisitive of the status quo or unfounded assumptions that society should be a certain way; I think this was attitude was integral to my journey.

So these days, I'm still doing the endless self-development thing. I'm working better on my communication skills, and pushing my comfort zone, going to events on my own, trying to meet new people, and get better at talking to strangers, especially those who I'm interested in or attracted to. That's hard, but looking back on how far I've come, I'm reassured that I might get there one day. Who knows what the future will hold for me?

## References {#references}

Non-monogamy Books:

  * [Archer Magazine](https://archermagazine.com.au/)
  * [The Ethical Slut](https://www.amazon.com/Ethical-Slut-Practical-Relationships-Adventures/dp/1587613379)
  * [Opening Up](https://www.amazon.com/Opening-Up-Creating-Sustaining-Relationships/dp/157344295X)
  * [More Than Two](https://www.amazon.com/More-Than-Two-Practical-Polyamory/dp/0991399706/) ([please read this caveat][2])

Communication books:

  * [Nonviolent Communication](https://www.amazon.com.au/Nonviolent-Communication-Language-Life-Changing-Relationships-ebook/dp/B014OISVU4)
  * [Crucial Conversations](https://www.amazon.com/Crucial-Conversations-Tools-Talking-Stakes/dp/0071401946)
  * [Never Split The Difference](https://www.amazon.com/Never-Split-Difference-Negotiating-Depended/dp/0062407805)

Websites:

  * [PolyVic](https://www.facebook.com/groups/66151944865/)
  * [More Than Two][1]

 [1]: https://morethantwo.com/
 [2]: https://polyamory-metoo.com/
 [3]: /2016/09/20/do-you-have-a-partner/
