---
title: Autism assessments (part 1)
author: mattcen
date: 2018-12-17T11:57:10+00:00
url: /2018/12/17/autism-assessments/
timeline_notification:
  - 1545047833
  - 1545047833
  - 1545047833
publicize_twitter_user:
  - mattcen
  - mattcen
  - mattcen
publicize_tumblr_url:
  - http://.tumblr.com/post/181196316574
  - http://.tumblr.com/post/181196316574
  - http://.tumblr.com/post/181196316574
categories:
  - adhd
  - autism
  - mental health
  - neurodiversity
  - openness

---
_A few months ago, I wrote this as a comment on a Facebook post of mine. It's easier to share with people in the form of a blog post, so here it is. I've also written a [follow-up to this post][1]._ 

For years I've struggled with things like non-verbal social cues, facial expressions, tone, etc. I was aware that these were traits of autism (which isn't to say they're _only_ present in autistic folks).

After seeing my psychologist for a few months, having said in my first appointment that I was concerned about this and wanted to understand better how to manage the traits regardless of whether or not autism was the cause, I eventually went to a _clinical_ psychologist at [The ASD Clinic](https://www.theasdclinic.com.au). They would have charged me $1020 for an ASD assessment (which includes a 90-minute IQ test followed by a separate appointment for a 2-hour life history to discuss developmental behaviours etc., and for which it could be beneficial to have parents/guardians/others who knew the patient growing up).

I spent about a month on their waiting list (after filling out the referral form on their website) just to get a call from them, and when I did and they gave me the details, I instead opted for a consultation with a clinical psychologist there ($240) to just talk things through and do a bit of a self-assessment based on the symptoms/traits they said were typical of ASD to see if I fit them. The psychologist showed me a slide-show of many common traits that can indicate autism. This included things like dysgraphia (which can manifest itself as poor handwriting, which I have; I just assumed I wasn't trying hard enough or it was a symptom of my left-handedness), sensitivity to certain sensations like mild breezes, very high or very low pain thresholds, over-stimulation in noisy or bright environments, struggles with eye-contact, poor reading/response to social cues, etc. I have experienced most of these.

I am in the fortunate position that (a) I could afford these appointments and (b) don't need a formal assessment for legal reasons/welfare etc. I personally was happy after the consultation that I didn't need to do a formal assessment. The outcome was that the psychologist recommended a couple of online screening tests ([RAADS-R][2] and [AQ][3] from [https://www.aspietests.org](https://www.aspietests.org)) as a general indicator for possible ASD. These are obviously very informal, but given I was just looking for peace of mind that I was _probably_ on the spectrum to help me feel OK about identifying as such and interacting with the community in that way, it was good enough.

Further, I've had 30 years to learn how to _cope_ with the traits I've been experiencing. As a result, a formal ASD assessment may not be accurate; I may manage my traits so well that I'm deemed "not autistic," even when I might have been deemed "autistic" were I tested 20 years ago. An assessment is subjective and not black or white, even though the result is a binary yes/no outcome.

So, after the consultation and online tests, I'm comfortable claiming the label "autistic" in the knowledge that it will (a) help de-stigmatise autism and (b) allow me to feel more welcome in the community where I may find better support from other like-minded people with whom I may be able to trade useful coping mechanisms and resources etc.

_If this post was helpful to you, you may also benefit from checking up my [follow-up post][1]._

 [1]: /2021/05/30/autism-and-adhd-assessments-part-2/
 [2]: https://www.aspietests.org/userdetails.php?target=raads/index.php
 [3]: https://www.aspietests.org/userdetails.php?target=aq/index.php
