---
title: Autism and ADHD assessments (part 2)
author: mattcen
date: 2021-05-30T10:05:01+00:00
#url: /2021/05/30/autism-and-adhd-assessments-part-2/
publicize_tumblr_url:
  - http://.tumblr.com/post/653683052200017920
publicize_twitter_user:
  - mattcen
timeline_notification:
  - 1623400737
categories:
  - adhd
  - autism
  - mental health
  - neurodiversity

---
  
_This post is a follow-up to [Autism Assessments (part 1)][1]._

After a consultation with a clinical psychologist a bit over 2 years ago, resulting in me self-identifying as autistic, which made me feel better about my various neuro-atypical behaviours and continuing to seek support and information surrounding neurodiversity, I started to realise that autism that may not be the only way I'm neurodivergent, and I sought out additional details about how my brain might work.

For years I've struggled with concentration and focus, except when it comes to things that I really love doing, which I can hyperfocus on for hours on end, to the point that I lose track of time and forget to eat or sleep, sometimes. I've never been able to reliably time-sheet my work as part of my job, because keeping track of how long I've spent on a task is an exercise in futility unless I bog myself down in processes enforced by technology to remind me to check in every 15 minutes with a status update.

The above, and a bunch of other little things, made me start to wonder if I also had ADHD. ADHD and Autism Spectrum Disorder (ASD) have quite a lot in common, and many people are diagnosed with both. After speaking to a large quantity of friends who also have ADHD (some of whom also have autism), I started to wonder if this was me too.

Further to this, because of Melbourne's COVID-19-related lockdowns, I spent a lot of time at home with my partner and nobody else, to the point that I think I lost a bunch of resilience I'd built up to dealing with situations like overwhelming sensory input, to the point that, in the last 12 months, I've experienced what I've identified as at least two meltdowns, one at home, and one at a shopping centre, where I got so overwhelmed with noise, imagery, and thoughts, that I had to sit quietly for almost an hour before I could calm down enough to interact with the world again. Meltdowns are a classic autism trait.

When I sought information about autism, I decided that a formal diagnosis wouldn't be very useful for me, because even if I did end up with a positive diagnosis, I'd almost certainly be diagnosed as "low support needs" (this used to be known as "high functioning autism", but that's not a good term for a bunch of reasons), which would mean that the few benefits I might get from a formal diagnosis, such as government support as part of the [NDIS][2], would likely not be useful or applicable to me, so it was just as beneficial for me to self-identify as autistic and seek support in the form of therapy to help manage various autism traits.

But, once I started thinking that I might also have ADHD, and after having tried all manner of mindfulness techniques, organisational processes, and other things in order to help me form some constructive routines and focus on things in my day-to-day life, none of which stuck reliably, I realised that if I do have ADHD, one of the few options that may remain available to me were to try some stimulant medication to help me focus. And the thing about stimulant medication, is that it's not available unless you have a formal ADHD diagnosis.

So, after much deliberation, I started the long, slow process of seeking a diagnosis. I started by talking to my GP (general practitioner) about this, and they referred me to a psychiatrist who could assess me for ADHD. I called this psychiatrist, and they said that they'd seen on the information my GP had sent them that I also identified as autistic, and wanted to make the point that this particular psychiatrist doesn't have much experience with autism.

I thought about this, and decided that, given ADHD and ASD are often related, and given I already identify as having the latter, seeing somebody who specialises in _both_ is probably in my best interests. A couple of friends of mine highly recommended [Dr Marged Goode][3], who specialises in both ADHD and ASD, so I booked in an appointment. Unfortunately, many clinics that do these assessments have long waiting lists, and this was no exception; I waited over 3 months for my initial appointment.

Now, it's worth mentioning at this point, as mentioned in my [initial blog post][1], that these assessments are expensive. We're talking in the ballpark of $1,000, or a little over, for a full assessment of both ADHD and Autism; obviously this makes these inaccessible to a significant portion of the population.

During my first appointment, I spent a couple of hours chatting about my experiences and history, and learning about how Marged thinks about ADHD and Autism, and how their various traits fit together, by way of a diagram she drew on a board. Afterwards, she sent me a large amount of questionnaires that I and my family needed to fill out in order to gather enough information for an assessment.

The paperwork I was given included:

  * [Behavior Rating Inventory of Executive Function (BRIEF-A)][4]
  * [Brown Attention-Deficit Disorder (ADD) Scales®][5]
  * [Depression Anxiety Stress Scales (DASS)][6]
  * [The Ritvo Autism Asperger Diagnostic Scale-Revised (RAADS-R)](https://www.aspietests.org/userdetails.php?target=raads/index.php)
  * [Sensory Perception Quotient (SPQ)](https://www.aspietests.org/userdetails.php?target=spq/index.php)
  * [(SRS™-2) Social Responsiveness Scale][9]
  * [Females with Aspergers Syndrome Checklist by Samantha Craft](https://web.archive.org/web/20200817145251/https://everydayaspie.wordpress.com/2016/05/02/females-with-aspergers-syndrome-checklist-by-samantha-craft)
  * [The Autism Spectrum Quotient (AQ)][11]
  * [The Empathy Quotient (EQ)][12]
  * [Adult ADHD Self-Report Scale (ASRS-v1.1)][13]
  * [Camouflaging Autistic Traits Questionnaire (CAT-Q)][14]

I was required to fill out all of the above questionnaires, while my partner and my parent were asked to fill out slightly altered variants of the AQ, EQ, BRIEF-A, and SRS™-2, and my parent was asked to answer a developmental history questionnaire. It took me an afternoon to answer the almost 800 multiple-choice questions, while my parent and partner had fewer than half that number of questions.

Furthermore, I was asked to dig up any primary school reports for perusal. Marged said that because ADHD is present all our lives, its presence needs to be demonstrated in childhood for a positive diagnosis, and one of the ways to do this is to look at the comments (as opposed to the actual grades) on primary school reports, for things like "day dreams," "gets distracted," "has trouble sitting still," "misses deadlines," and "has great potential if only they applied themselves." Basically, anything that suggests inattention or hyperactivity. I personally had a few tell-tale signs in my own reports.

I also opted to sit an IQ test. Now, this isn't strictly required for a diagnosis (and in many ways, IQ tests are unfit for testing one's intelligence), but Marged pointed out that often people with autism take longer to process information, and therefore may be _perceived_ as less intelligent than they actually are, and people who _aren't_ perceived as below average intelligence may actually be somewhat _above_ average, but being held back by their mental processing speed. All this to say, if a test were to suggest that you have a high IQ (and if you are content to believe that an IQ test is an adequate representation of your intelligence) then perhaps you can take some reassurance that if people perceive you as a bit of a slow thinker, it's not because of your intelligence, but just because you happen to process things a little slowly. So, perhaps not a huge deal, but despite the extra $350 cost, I decided to give it a shot and see what the result was.

I sat the IQ test a week after my initial appointment, and during that meeting I also handed in all the filled out paperwork from myself and my family, and booked the next available appointment, which, unfortunately, was another 2 months away. Prior to my next appointment, Marged would write up a report of her findings, that could be used as evidence of any diagnosis it revealed. The report was an optional extra (another $200) that I thought would be valuable.

Then I played the waiting game, wondering whether or not I'd get the diagnosis I expected, or whether I'd find out that no, I don't have ADHD and/or autism, and therefore have to look elsewhere for answers as to why I struggle with various aspects of life (am I "not autistic/ADHD enough", in the same way that many people feel like they're "not queer enough" etc.?).

Eventually my appointment came around, and Marged began by putting my mind to rest, flipping to the back of the 18-page report, and read the but that said yes, I've been diagnosed with both ADHD and Autism. _\*Wipes brow with relief\*_. We then proceeded to walk through the report in order, so I understood what it all meant.

The report detailed the results of my various tests/questionnaires, and what they suggested about me. This included graphs of the results from the answers of me and my family members, and how those results compare to each other, and those of somebody who is considered "neurotypical". It then went on to summarise the outcomes of these results, and offer some recommendations for subsequent steps for managing my mental health, executive functioning, etc., and finished up with an appendix detailing how the questionnaires and assessments demonstrated that I fit the [DSM-5][15]'s criteria of [Autism Spectrum Disorder][16], and [ADHD][17].

So, I have both ADHD and Autism. My next steps include asking my GP to refer me to a psychiatrist to hopefully try some stimulant medication to help me focus, as well as continuing to try to form solid habits of mindfulness and exercise, and learning more about my autistic/ADHD brain from peers and experts online and in-person.

Feel free to reach out if you'd like more information about the process I went through, or want to talk to me about your own brain, and I'll do what I can to respond constructively!

 [1]: /2018/12/17/autism-assessments/
 [2]: https://www.ndis.gov.au/
 [3]: http://www.goodepsychology.com.au/
 [4]: https://en.wikipedia.org/wiki/Behavior_Rating_Inventory_of_Executive_Function
 [5]: https://www.pearsonassessments.com/store/usassessments/en/Store/Professional-Assessments/Behavior/Attention-ADHD/Brown-Attention-Deficit-Disorder-Scales/p/100000456.html?tab=product-details
 [6]: https://www.healthfocuspsychology.com.au/tools/dass-42/
 [9]: https://www.pearsonclinical.com.au/products/view/512
 [11]: https://www.aspietests.org/userdetails.php?target=aq/index.php
 [12]: https://www.aspietests.org/userdetails.php?target=eq/index.php
 [13]: https://www.hcp.med.harvard.edu/ncs/ftpdir/adhd/18Q_ASRS_English.pdf
 [14]: https://embraceasd.com/cat-q/#test
 [15]: https://www.thedsm5.com/the-dsm-5/
 [16]: https://a4.org.au/dsm5-asd
 [17]: https://www.addrc.org/dsm-5-criteria-for-adhd/
